Bug 1314394 - Composite views allow promotions beyond what they should
Summary: Composite views allow promotions beyond what they should
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.0.6
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1174237
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-03 13:43 UTC by Bryan Kearney
Modified: 2019-11-14 07:32 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1174237
Environment:
Last Closed: 2016-03-22 15:44:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0475 normal SHIPPED_LIVE Satellite 6.1.8 bug fix update 2016-03-22 19:42:56 UTC

Comment 2 Corey Welton 2016-03-11 14:49:18 UTC
Verified in 6.1.8 Compose 1

when restrict_composite_view = 'true', user cannot promote to any environment of which the contained content is not already a member, and an appropriate error message is thrown

when restrict_composite_view = 'false', no such restriction exists and promotion is allowed.

Comment 4 errata-xmlrpc 2016-03-22 15:44:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:0475


Note You need to log in before you can comment on or make changes to this bug.